;; BT.lsp v1.0 ;; ;; Copyright (c) 1998 by Innovative Programming ;; All Rights Reserved ;; ;; TERMS & AGREEMENT ;; Permission to use, copy, modify, and distribute this software ;; for any purpose and without fee is hereby granted, provided ;; that the above copyright notice appears in all copies and that ;; both copyright notice and this permission notice appears in ;; all supporting documentation. ;; ;; ANY USE OF THIS SOFTWARE IS AT YOUR OWN RISK AND IT IS PROVIDED ;; "AS IS" WITHOUT EXPRESS OR IMPLIED WARRANTY. ALL IMPLIED WARRANTIES ;; OF FITNESS FOR ANY PARTICULAR PURPOSE AND OF MERCHANTABILITY ARE ;; HEREBY DISCLAIMED. NO LIABILITY FOR CONSEQUENTIAL DAMAGES. IN NO ;; EVENT SHALL INNOVATIVE PROGRAMMING BE LIABLE FOR INCIDENTAL, ;; INDIRECT, OR CONSEQUENTIAL DAMAGES (INCLUDING, WITHOUT LIMITATION, ;; DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS ;; OF BUSINESS INFORMATION, OR ANY OTHER PECUNIARY LOSS) AS A RESULT ;; OF THE USE OF OR INABILITY TO USE THIS SOFTWARE. ;; ;; PURPOSE: ;; Returns the point between two selected points. ;; ;; OTHER NOTES: ;; Use this command transparently by typing 'BT ;; ;; FUTURE REVISIONS: ;; None ;; ;; REVISIONS: ;; 1.0 2/9/98 Released ;; (defun C:BT (/ PT1 PT2) (setq PT1 (getpoint "\nFIRST point:")) (setq PT2 (getpoint "\nSECOND point:")) (polar PT1 (angle PT1 PT2) (/ (distance PT1 PT2) 2)) ) (princ "\nBT Loaded. Type BT to Start.") (princ)